> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post workflowv2beta1workflows states transitions

> Create a new workflow transition for the workflow and workflow state.



## OpenAPI

````yaml /openapis/workflow.json post /workflow/v2beta1/workflows/{workflowId}/states/{stateId}/transitions
openapi: 3.0.1
info:
  description: "The AODocs REST API exposes most of the features of AODocs. It can be used to implement custom applications, third-party integration, bulk tools, or\n\t\t\t\t\t\t\t\t\t\tjust to experiment with AODocs."
  version: '69.4'
  title: AODocs REST API
servers:
  - url: https://aodocs.altirnao.com/api
security: []
tags:
  - name: workflow
    description: >-
      Lets you perform workflow actions and access workflow configuration (beta
      version, subject to change)
paths:
  /workflow/v2beta1/workflows/{workflowId}/states/{stateId}/transitions:
    post:
      tags:
        - workflow
      description: Create a new workflow transition for the workflow and workflow state.
      operationId: workflow:v2beta1.WorkflowTransitions.create
      parameters:
        - $ref: '#/components/parameters/workflowId_path_parameter'
        - $ref: '#/components/parameters/stateId_path_parameter'
        - $ref: '#/components/parameters/domain_query_parameter'
        - $ref: '#/components/parameters/securityCode_query_parameter'
      requestBody:
        $ref: '#/components/requestBodies/ApiWorkflowTransition'
      responses:
        '200':
          description: A ApiWorkflowTransition response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiWorkflowTransition'
      security:
        - google_id_token-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
        - google_id_token_legacy-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
components:
  parameters:
    workflowId_path_parameter:
      name: workflowId
      in: path
      description: The ID of the workflow
      required: true
      schema:
        type: string
    stateId_path_parameter:
      name: stateId
      in: path
      description: The ID of the workflow state
      required: true
      schema:
        type: string
    domain_query_parameter:
      name: domain
      in: query
      description: The G Suite domain
      required: false
      schema:
        type: string
    securityCode_query_parameter:
      name: securityCode
      in: query
      description: The security code
      required: false
      schema:
        type: string
  requestBodies:
    ApiWorkflowTransition:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiWorkflowTransition'
      required: true
  schemas:
    ApiWorkflowTransition:
      type: object
      properties:
        createNewDocumentVersion:
          type: boolean
          description: >-
            Whether to create a new version of the documents via this transition
            (redundant with transitionType = VERSION)
        createdTime:
          type: string
          format: date-time
          description: The time at which the workflow transition was created
        discardCheckedOutDocument:
          type: boolean
          description: >-
            Whether to discard draft documents via this transition (redundant
            with transitionType = DISCARD)
        elapsedTime:
          $ref: '#/components/schemas/ApiElapsedTime'
        fixedTime:
          type: string
          format: date-time
          description: >-
            The date from which the transition should be triggered (if automatic
            transition based on static date/time)
        humanAction:
          $ref: '#/components/schemas/ApiHumanAction'
        id:
          type: string
          description: The ID of the workflow transition
        kind:
          type: string
        lastModifiedTime:
          type: string
          format: date-time
          description: The time at which the workflow transition was last modified
        propertyData:
          $ref: '#/components/schemas/ApiPropertyData'
        propertyTime:
          type: string
          description: >-
            The ID of the date (or date/time) property from whose value the
            transition should be triggered (if automatic transition based on
            property value)
        relativeTime:
          $ref: '#/components/schemas/ApiRelativeTime'
        targetStateId:
          type: string
          description: The ID of the target state of the transition
        targetStateName:
          type: string
          description: The name of the target state of the transition
        targetStateName_i18n:
          type: string
          description: The internationalized name of the target state of the transition
        transitionType:
          type: string
          description: The type of the transition
          enum:
            - NORMAL
            - CHECK_IN
            - CHECK_OUT
            - VERSION
            - DISCARD
    ApiElapsedTime:
      type: object
      properties:
        amount:
          type: integer
          format: int32
          description: The amount of units to wait until the transition is triggered
        unit:
          type: string
          description: The unit for the elapsed time to wait (minute, hour, day, month)
          enum:
            - MINUTE
            - HOUR
            - DAY
            - MONTH
    ApiHumanAction:
      type: object
      properties:
        actionId:
          type: string
          description: The ID of the human workflow action
        appliedName:
          type: string
          description: The applied name of the workflow action
        appliedName_i18n:
          type: string
          description: The internationalized applied name of the workflow action
        commentPlaceholderText:
          type: string
          description: The comment placeholder text (maximum of 80 characters)
        commentPlaceholderText_i18n:
          type: string
          description: The internationalized comment placeholder text (read-only field)
        commentPolicy:
          type: string
          description: >-
            The comment policy for this workflow action (FORBIDDEN, OPTIONAL,
            MANDATORY). Replaces mandatoryComment
          enum:
            - FORBIDDEN
            - OPTIONAL
            - MANDATORY
        mandatoryComment:
          type: boolean
          description: >-
            Deprecated: use commentPolicy. Whether a comment is mandatory when
            triggering the workflow action
        name:
          type: string
          description: The name of the workflow action
        name_i18n:
          type: string
          description: The internationalized workflow action
        performer:
          $ref: '#/components/schemas/ApiSecurityToken'
        reminders:
          type: array
          description: The list of reminders for the transition
          items:
            $ref: '#/components/schemas/ApiWorkflowTransitionReminder'
        validateByAll:
          type: boolean
          description: Whether the transition is a parallel transition
    ApiPropertyData:
      type: object
      properties:
        operator:
          type: string
          description: The operator of the condition
          enum:
            - EQUAL_TO
            - NOT_EQUAL_TO
            - GREATER_THAN
            - STRICTLY_GREATER_THAN
            - LESS_THAN
            - STRICTLY_LESS_THAN
            - EMPTY
            - NOT_EMPTY
            - CONTAINS
            - IN
        personValue:
          $ref: '#/components/schemas/ApiSecurityToken'
        propertyId:
          type: string
          description: The ID of the property for the condition
        value:
          type: string
          description: >-
            The value for the condition (if operator is neither EMPTY or
            NOT_EMPTY)
    ApiRelativeTime:
      type: object
      properties:
        after:
          type: boolean
          description: >-
            Whether the transition should be triggered from the property value
            plus the offset (vs. from the property value minus the offset)
        amount:
          type: integer
          format: int32
          description: >-
            The amount of units to wait before/after the property value to
            trigger the transition
        propertyId:
          type: string
          description: The ID of the property
        unit:
          type: string
          description: The unit for the offset (minute, hour, day, month)
          enum:
            - MINUTE
            - HOUR
            - DAY
            - MONTH
    ApiSecurityToken:
      type: object
      properties:
        classId:
          type: string
          description: The ID of the class when type = FIELD
        className:
          type: string
          description: The name of the class when type = FIELD
        description:
          type: string
          description: The description for type in GROUP, ROLE, FIELD
        displayName:
          type: string
          description: >-
            The display name of the user or group, the name of the role
            (read-only field)
        displayName_i18n:
          type: string
          description: >-
            The display name of the user or group, the internationalized name of
            the role (read-only field)
        thumbnailPictureUrl:
          type: string
          description: The URL of the thumbnail picture (especially for users)
        type:
          type: string
          description: >-
            The type of person (user, group, role, field based, domain i.e.
            everybody)
          enum:
            - USER
            - GROUP
            - ROLE
            - FIELD
            - DOMAIN
        value:
          type: string
          description: >-
            The email address if user or group, the ID of the role, the ID of
            the class/field (ignored if type = DOMAIN)
    ApiWorkflowTransitionReminder:
      type: object
      properties:
        audience:
          type: string
          description: >-
            The mode of audience to remind: PENDING (everyone in the audience of
            the transition except those who validated it - if parallel
            transition), EXCLUSIVE (for simple transitions: only the users who
            haven't validated the parallel transition if any on the state, for
            parallel transition it's similar to PENDING)
          enum:
            - PENDING
            - EXCLUSIVE
        condition:
          $ref: '#/components/schemas/ApiCustomScriptBinding'
        emailTemplateId:
          type: string
          description: >-
            The ID of a workflow template email (type = ACTION_REMINDER) to
            format reminder email
        id:
          type: string
          description: The ID of the reminder (read-only field)
        name:
          type: string
          description: The name of the reminder
    ApiCustomScriptBinding:
      type: object
      properties:
        params:
          type: object
          description: The map key/value of the parameters
          additionalProperties:
            type: string
        scriptId:
          type: string
          description: The ID of the custom script
        scriptName:
          type: string
          description: The name of the custom script (read-only field)
  securitySchemes:
    google_id_token-a99f12e0:
      type: oauth2
      x-google-issuer: https://accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address
    google_id_token_legacy-a99f12e0:
      type: oauth2
      x-google-issuer: accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address

````